org.apache.lucene.facet.codecs.facet42

## Class Facet42DocValuesFormat

- java.lang.Object
- - org.apache.lucene.codecs.DocValuesFormat
  - - org.apache.lucene.facet.codecs.facet42.Facet42DocValuesFormat

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public final class Facet42DocValuesFormat
      extends DocValuesFormat

  DocValues format that only handles binary doc values and is optimized for usage with facets. It uses more RAM than other formats in exchange for faster lookups.

  NOTE: this format cannot handle more than 2 GB of facet data in a single segment. If your usage may hit this limit, you can either use Lucene's default DocValuesFormat, limit the maximum segment size in your MergePolicy, or send us a patch fixing the limitation.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CODEC`
    `static String` | `EXTENSION`
    `static int` | `VERSION_CURRENT`
    `static int` | `VERSION_START`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Facet42DocValuesFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocValuesConsumer` | `fieldsConsumer(SegmentWriteState state)`
    `DocValuesProducer` | `fieldsProducer(SegmentReadState state)`

    - ### Methods inherited from class org.apache.lucene.codecs.DocValuesFormat

      `availableDocValuesFormats, forName, getName, reloadDocValuesFormats, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CODEC

          public static final String CODEC

      See Also:
        Constant Field Values

    - #### EXTENSION

          public static final String EXTENSION

      See Also:
        Constant Field Values

    - #### VERSION_START

          public static final int VERSION_START

      See Also:
        Constant Field Values

    - #### VERSION_CURRENT

          public static final int VERSION_CURRENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Facet42DocValuesFormat

          public Facet42DocValuesFormat()

  - ### Method Detail

    - #### fieldsConsumer

          public DocValuesConsumer fieldsConsumer(SegmentWriteState state)
                                           throws IOException

      Specified by:
        `fieldsConsumer` in class `DocValuesFormat`
      Throws:
        `IOException`

    - #### fieldsProducer

          public DocValuesProducer fieldsProducer(SegmentReadState state)
                                           throws IOException

      Specified by:
        `fieldsProducer` in class `DocValuesFormat`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.